Subject: [PATCH core-packages-team 1/1] gnu: xz-mesboot: Disable parallel build.

From: Rutherther <[email-masked]>
Date: Fri, 16 May 2025 12:48:51 +0200

Disables parallel build, because the build gets stuck with parallel builds on
x86_64 at least.

* gnu/packages/commencement.scm (xz-mesboot): Disable parallel builds.

Change-Id: I0367363cbaaeb0ae5730242254c918cd7ec71478
---
 gnu/packages/commencement.scm | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index edd4a1db46..f0ea1bec62 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -1939,7 +1939,10 @@ (define xz-mesboot
        (ensure-keyword-arguments (package-arguments pkg)
                                  ;; XXX: This fails even though the
                                  ;; actual runpaths seem fine.
-                                 `(#:validate-runpath? #f))))))
+                                 `(#:validate-runpath? #f
+                                 ;; XXX: The build gets stuck
+                                 ;; when parallel build is enabled.
+                                   #:parallel-build? #f))))))
 
 ;; We don't strictly need Tar here, but it allows us to get rid of
 ;; Bootar and Gash-Utils and continue with the standard GNU tools.
-- 
2.49.0